%define  patch_name kernel-feat-fs-supermount-ng
%define  patch24_version 1.2.11a-2.4.27
%define  patch26_version 2.6.16-r1-01

Name:    %patch_name
Version: 2006.04.07
Release: alt0.1
Summary: %patch_name kernel patch - supermount removable media patch
License: GPL
Group: Development/Other
Url: http://supermount-ng.sf.net/
BuildArch: noarch
%source 1 supermount-%patch24_version.patch 2.4
%source 2 supermount-1.2.11a-2.4.27-MS_SUPERMOUNT_noxfs.patch 2.4/not_kernel-feat-fs-xfs
%source 3 supermount-1.2.11a-2.4.27-MS_SUPERMOUNT_xfs.patch 2.4/kernel-feat-fs-xfs
%source 4 supermount-1.2.11a-2.4.27-noowl.patch	2.4/not_kernel-fix-security-owl
%source 5 supermount-1.2.11a-2.4.27-owl.patch	2.4/kernel-fix-security-owl
%source 6 supermount-1.2.11a-2.4.27-nopktcdvd.patch 2.4/not_kernel-feat-drivers-pktcdvd
%source 7 supermount-1.2.11a-2.4.27-pktcdvd.patch 2.4/kernel-feat-drivers-pktcdvd
%source 50 supermount-%patch26_version.patch 2.6

# fixes
%source 99 x_supermount-%patch24_version-gcc34_fix.patch 2.4

Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires:	kernel-build-tools >= 0.6-alt6

Obsoletes:	kernel-feat-core-supermount

%description
Supermount - removable media support patch

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Apr 17 2006 LAKostis <lakostis at altlinux.ru> 2006.04.07-alt0.1
- update 2.6 patch to 2.6.16-r1-01 version from official site.

* Fri Mar 31 2006 LAKostis <lakostis at altlinux.ru> 2006.03.30-alt1
- update 2.6 patch to 2.2.0-2.6.15.1 version.

* Tue Feb 21 2006 LAKostis <lakostis at altlinux.ru> 2006.02.21-alt1
- update 2.6 patch from madgus and link url to his page.

* Sat Mar 19 2005 LAKostis <lakostis at altlinux.ru> 2005.03.19-alt1
- update 2.6 patch from -ck2 patchset for 2.6.11.

* Sun Feb 13 2005 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1.3
- add patch for gcc3.4 compatibility.

* Sat Feb 12 2005 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1.2
- update patch for 2.6 from -ck5 patchset.

* Fri Jan 07 2005 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1.1
- remove obsoleted patches.

* Fri Dec 31 2004 LAKostis <lakostis at altlinux.ru> 2004.12.31-alt1
- update patch for 2.6.10 to 2.0.8 version.
- remove obsoleted patches.

* Mon Nov 22 2004 LAKostis <lakostis at altlinux.ru> 2004.10.25-alt1.2
- fix 2.0.7-2.6.9 to apply cleanly.

* Mon Nov 10 2004 LAKostis <lakostis at altlinux.ru> 2004.10.25-alt1.1
- bugfixes.

* Mon Oct 25 2004 LAKostis <lakostis at altlinux.ru> 2004.10.25-alt1
- Update patch for 2.6.9 to 2.0.7 version.

* Mon Oct 18 2004 LAKostis <lakostis at altlinux.ru> 2004.09.15-alt1.4
- Patch for 2.4.27 is adapted not to conflict with -owl and -pktcdvd patches.
- Update xfs workarounds patches.

* Sun Sep 19 2004 LAKostis <lakostis at altlinux.ru> 2004.09.15-alt1.3
- Patch for 2.6.8 is adapted not to conflict with kernel-feat-fs-reiser4
  patches

* Sun Sep 19 2004 LAKostis <lakostis at altlinux.ru> 2004.09.15-alt1.2
- Patch for 2.6.8 is adapted not to conflict with kernel-feat-drivers-pktcdvd
  patches
  
* Wed Sep 16 2004 LAKostis <lakostis at altlinux.ru> 2004.09.15-alt1.1
- Update 2.6.8 patch for -wks26 patchset.

* Wed Sep 15 2004 LAKostis <lakostis at altlinux.ru> 2004.09.15-alt1
- Update patches to 2.6.8 and 2.4.27 kernels.

* Sat May 15 2004 Albert R. Valiev <darkstar@altlinux.ru> 2004.05.15-alt1
- Updated supermount patch to 2.6.6 kernel
- Renamed from kernel-feat-core-supermount to current name in case of 
- kernel build policy

* Sat Apr 10 2004 Alexey Morozov <morozov@altlinux.org> 2004.04.10-alt1
- build module package against new shining kernel-build-tools
- included versions for both 2.4.x and 2.6.x series of kernel
  (1.2.11a and 2.0.4 respectively)
- Patch for 2.4.x is adapted not to conflict with kernel-feat-fs-xfs
  patches
- Patch for 2.6.x (initially for 2.6.2) is updated to be cleanly applied to
  2.6.5 kernel

* Thu Sep 18 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.2.9-alt1
- Updated to 1.2.9 version for 2.4.22 kernel

* Tue Jul 29 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.2.7-alt2
- Fixed xfs filesystem compat
- Warning: now it builds only with xfs support patch applied to kernel!

* Sun Jul 06 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.2.7-alt1
- Initial build

